summaryrefslogtreecommitdiffstats
path: root/games/starfighter/starfighter.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/starfighter/starfighter.SlackBuild')
-rw-r--r--games/starfighter/starfighter.SlackBuild56
1 files changed, 33 insertions, 23 deletions
diff --git a/games/starfighter/starfighter.SlackBuild b/games/starfighter/starfighter.SlackBuild
index e36a9fc9c1..8865d99fb7 100644
--- a/games/starfighter/starfighter.SlackBuild
+++ b/games/starfighter/starfighter.SlackBuild
@@ -25,7 +25,7 @@ elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
fi
-set -e
+set -e # Exit on most errors
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -40,34 +40,44 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-#because the make file doesn't support DESTDIR directly..
-#modify makefile
-mv makefile oldmakefile
-sed -e 's/\/usr/\$\(DESTDIR\)\/usr/g' -e '/strip/ i\
-\tmkdir -p \$\(BINDIR\)' -e '/strip/ i\
-\tmkdir -p \$\(DOCDIR\)' oldmakefile >makefile
-rm oldmakefile
+# The makefile doesn't support DESTDIR, but that's okay :)
+mkdir -p $PKG/usr/bin $PKG/usr/doc/$PRGNAM-$VERSION
+make \
+ CFLAGS="$SLKCFLAGS $(sdl-config --cflags) -Wall -DLINUX" \
+ BINDIR=/usr/bin/ \
+ DOCDIR=/usr/doc/$PRGNAM-$VERSION/ \
+ DATADIR=/usr/share/games/parallelrealities/
+make install \
+ BINDIR=$PKG/usr/bin/ \
+ DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION/ \
+ DATADIR=$PKG/usr/share/games/parallelrealities/
-make
-#binaries are stripped in this makefile with install option
-make install DESTDIR=$PKG
+# Add music to the package
+unzip -d $PKG/usr/share/games/parallelrealities $CWD/$PRGNAM-1.0-1.music.zip
+chmod 0755 $PKG/usr/share/games/parallelrealities/music
+find $PKG/usr/share/games/parallelrealities/music -type f -exec chmod 0644 {} \;
+
+# Fixup ownership (no need for games group ownership of anything)
+chown -R root:root $PKG
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a docs $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/usr/share/applications
-#put the menu item and icons in right place
-cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
-mkdir -p $PKG/usr/share/icons/hicolor/32x32/apps
-cp $CWD/$PRGNAM.png $PKG/usr/share/icons/hicolor/32x32/apps/$PRGNAM.png
-mkdir -p $PKG/usr/share/icons/hicolor/16x16/apps
-cp $CWD/$PRGNAM-small.png $PKG/usr/share/icons/hicolor/16x16/apps/$PRGNAM.png
-mkdir -p $PKG/usr/share/icons/hicolor/64x64/apps
-cp $CWD/$PRGNAM-large.png $PKG/usr/share/icons/hicolor/64x64/apps/$PRGNAM.png
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,64x64}/apps
+cat $CWD/icons/$PRGNAM-16px.png > \
+ $PKG/usr/share/icons/hicolor/16x16/apps/$PRGNAM.png
+cat $CWD/icons/$PRGNAM-32px.png > \
+ $PKG/usr/share/icons/hicolor/32x32/apps/$PRGNAM.png
+cat $CWD/icons/$PRGNAM-64px.png > \
+ $PKG/usr/share/icons/hicolor/64x64/apps/$PRGNAM.png
+
+# Add the build script to the package docs and fixup doc permissions
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}